Bug 134189 - Need ppc64 64-bit krb5-devel package
Need ppc64 64-bit krb5-devel package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5 (Show other bugs)
3.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 23:02 EDT by Dennis
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 1.5-17
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 19:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis 2004-09-29 23:02:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
Some necessary development 64-bit libraries are not available
on the ppc64 release of Red Hat Enterprise Linux 3.

For example the following libraries are not available:

/usr/kerberos/lib64/libcom_err.a
/usr/kerberos/lib64/libcom_err.so
/usr/kerberos/lib64/libdes425.a
/usr/kerberos/lib64/libdes425.so
/usr/kerberos/lib64/libdyn.a
/usr/kerberos/lib64/libdyn.so
/usr/kerberos/lib64/libgssapi_krb5.a
/usr/kerberos/lib64/libgssapi_krb5.so
/usr/kerberos/lib64/libgssrpc.a
/usr/kerberos/lib64/libgssrpc.so
/usr/kerberos/lib64/libk5crypto.a
/usr/kerberos/lib64/libk5crypto.so
/usr/kerberos/lib64/libkadm5clnt.a
/usr/kerberos/lib64/libkadm5clnt.so
/usr/kerberos/lib64/libkadm5srv.a
/usr/kerberos/lib64/libkadm5srv.so
/usr/kerberos/lib64/libkdb5.a
/usr/kerberos/lib64/libkdb5.so
/usr/kerberos/lib64/libkrb4.a
/usr/kerberos/lib64/libkrb4.so
/usr/kerberos/lib64/libkrb5.a
/usr/kerberos/lib64/libkrb5.so
/usr/kerberos/lib64/libkrb524.a
/usr/kerberos/lib64/libpty.a
/usr/kerberos/lib64/libpty.so
/usr/kerberos/lib64/libss.a


A Red Hat engineer informs me that a krb5-devel-*.ppc64 
package will need to be created (alongside 
krb5-devel-*.ppc). The package should be built something like
rpmbuild --rebuild --target ppc64 krb5-devel*.src.rpm

This request asks for that package to be created and made available.
This is needed to successfully create 64-bit applications.

Dennis.

Version-Release number of selected component (if applicable):
krb5-devel-1.2.7-24

How reproducible:
Always

Steps to Reproduce:
1. This is an enhancement request  

Additional info:
Comment 1 Dennis 2004-10-10 20:36:54 EDT
I filed four enhancement requests (for ppc64 packages), those
packages were:

e2fsprogs-devel
krb5-devel
openldap-devel
openssl-devel

The first request of which (e2fsprogs-devel) has been rejected
by Bill Nottingham, see 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=134188

Just making you guys aware of this. It may mean the closing
of this request along similar lines.

Note, without the above 64-bit development packages 64-bit
binary production is made difficult. 

Dennis.
Comment 2 Nalin Dahyabhai 2007-10-15 19:31:50 EDT
Apologies for letting this one fall through the cracks -- I think the rationale
for closing #134188 means I need to close this one, too.  The set of packages
for development on the non-default architecture's been expanded in RHEL 4 and
again in RHEL 5 (where this package first appears), but I don't think that most
of the work needed for various packages is going to be backported to version 3.
 Closing as resolved in the current release.

Note You need to log in before you can comment on or make changes to this bug.